import { Config } from '@backstage/config';
import { DiscoveryApi } from '@backstage/core-plugin-api';
export declare class AuthProxyDiscoveryApi implements DiscoveryApi {
    private readonly isAuthProxyingEnabled?;
    private readonly authProxyUrl?;
    private urlPatternDiscovery;
    constructor(baseUrl: string, isAuthProxyingEnabled?: boolean | undefined, authProxyUrl?: string | undefined);
    getBaseUrl(pluginId: string): Promise<string>;
    static fromConfig(config: Config): AuthProxyDiscoveryApi;
}
